 emacs/notmuch-mua.el | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

diff --git a/emacs/notmuch-mua.el b/emacs/notmuch-mua.el
index bf62b656..1d1a1591 100644
--- a/emacs/notmuch-mua.el
+++ b/emacs/notmuch-mua.el
@@ -295,6 +295,20 @@ Typically this is added to `notmuch-mua-send-hook'."
 	    (when message-signature-insert-empty-line
 	      (forward-line -1))
 	  (goto-char (point-max))))
+      ;; If `message-cite-reply-position' is `above', e.g., for Gmail-like
+      ;; email replies, then before inserting the citation, put the point
+      ;; after the signature and insert a newline for spacing. Also respects
+      ;; if `message-cite-reply-position' is set via `message-cite-style'.
+      (when (or (equal message-cite-reply-position 'above)
+                (and message-cite-style
+                     (eq (eval (cadr
+                                (assoc 'message-cite-reply-position
+                                       (if (symbolp message-cite-style)
+                                           (eval message-cite-style)
+                                         message-cite-style))))
+                         'above)))
+        (goto-char (point-max))
+        (insert "\n"))
       (let ((from (plist-get original-headers :From))
 	    (date (plist-get original-headers :Date))
 	    (start (point)))
